Anzeige:
Ergebnis 1 bis 13 von 13

Thema: Softwareaktualisierung teilweise nicht moeglich [openSuse leap 42.3]

  1. #1
    Registrierter Benutzer
    Registriert seit
    Nov 2017
    Beiträge
    6

    Softwareaktualisierung teilweise nicht moeglich [openSuse leap 42.3]

    Hi Community,

    die 2 sicherheitsrelevanten SW - Aktualisierungen werden seit ca. 3 Wochen nicht ausgefuehrt (trotz vieler Versuche; alle anderen Aktualisierungen werden problemlos installiert):

    1)
    openSUSE-2017-1246(1) - [SuSEfirewall2]


    Fehlermedung bei der automatischen Aktualisierung:

    Code:
    Subprocess failed. Error: RPM failed: error: package SuSEfirewall2-3.6.312.333-4.1.noarch is not installed
    Failed to cache rpm database (1).
    Subprocess failed. Error: RPM failed: error: package SuSEfirewall2-3.6.312.333-4.1.noarch is not installed
    System management is locked by the application with pid 4500 (/usr/bin/ruby).
    Close this application before trying again.
    (Anfangs kam ungefaehr diese Fehlermeldung: kann nicht geloescht werden; jetzt fehlt anscheinend die (s. Fehlermeldung) *.norch (?); vielleicht habe ich bei den unterschiedlichsten Versuchen da etwas geloescht ????)

    2)
    openSUSE-2017-1147(1) - [samba]


    Code:
    System management is locked by the application with pid 23519 (/usr/bin/ruby).
    Close this application before trying again.
    System management is locked by the application with pid 23519 (/usr/bin/ruby).
    Close this application before trying again.
    Ueber yast geht's auch nicht die angebotene Alternative zu installieren:

    Code:
    SuSEfirewall2 - Stateful Packet Filter Using iptables and netfilter
    
    Installierte Version 3.6.312.333-4.1
    Fr 18 Aug 2017 20:08:28 CEST
    Productivity/Networking/Security
    GPL-2.0
    openSUSE Leap 42.3
    
    Alternative Version: 3.6.312.333-7.1
    Mo 06 Nov 2017 21:10:24 CET
    URL: http://en.opensuse.org/SuSEfirewall2
    Quellpaket: SuSEfirewall2-3.6.312.333-7.1
    Ueber yast wird auch kein entsprechendes Paket .....noarch angeboten.
    Unter dem folgende Link schon; ist diese Seite vertrauensuerdig?

    https://opensuse.pkgs.org/42.3/opens...oarch.rpm.html

    Velen Dank fuer Hilfe und Tipps

    und Gruesse

    willySuSE
    Geändert von willysuse (28.11.17 um 17:47 Uhr)

  2. #2
    Newbie and practicing Avatar von Newbie314
    Registriert seit
    Mar 2007
    Beiträge
    7.621
    Bei dir blockiert ein zweiter Prozess (siehe Fehlermeldung und process ID) den updater. Beende erstmal den blockierenden Prozess und probiere es dann nochmal.
    Bei Konsolenausgaben / Fehlermeldungen bitte immer Code Tags verwenden: [code] -Text- [/code]
    "Überzeugungen sind gefährlichere Feinde der Wahrheit als Lügen" (H. Lesch)

  3. #3
    Registrierter Benutzer
    Registriert seit
    Dec 2003
    Ort
    Dettenhausen
    Beiträge
    20.527
    zudem könnte eine (wie auch immer) installierte, aber nicht in der lokalen DB auftauchende Software auf eine korrupte rpm-DB hindeuten - oder die alte Version wurde an der Paketverwaltung vorbei installiert.
    Ich bin root - ich darf das.

  4. #4
    Registrierter Benutzer
    Registriert seit
    Nov 2017
    Beiträge
    6
    Danke Newbie314, da hab ich leider wenig Ahnung; wo finde ich den die Prozesse mit den IDs 4500/23519 und was machen diese. In der Prozesstabelle sehe ich nichts passendes. Die Datei "/usr/bin/ruby" sagt mir nichts. Kann man wohl auch nicht editieren. Ein bisschen Nachhilfe wäre nett. Vielen Dank willySuSE

  5. #5
    Registrierter Benutzer
    Registriert seit
    Nov 2017
    Beiträge
    6
    Danke marce, "korrupt oder vorbei installiert" hört sich für mich nicht so gut an. Ich dachte selbst schon an eine komplette Neuinstallation. Wäre wohl der letzte Schritt.
    Gruß willySuSE

  6. #6
    Newbie and practicing Avatar von Newbie314
    Registriert seit
    Mar 2007
    Beiträge
    7.621
    Kein Server sondern ein Desktop?

    Wenn ja einfach nen kill -9 4500
    kill -9 23519 jeweils als root.

    zypper update

    Vorher Yast beenden und darauf achten dass das kleine Updaterfenster rechts unten in der Leiste nicht aktiv ist.
    Bei Konsolenausgaben / Fehlermeldungen bitte immer Code Tags verwenden: [code] -Text- [/code]
    "Überzeugungen sind gefährlichere Feinde der Wahrheit als Lügen" (H. Lesch)

  7. #7
    Registrierter Benutzer
    Registriert seit
    Dec 2003
    Ort
    Dettenhausen
    Beiträge
    20.527
    evtl. vorher noch per
    Code:
    ps -fe | grep 23519
    (bzw. den aktuell gerade ausgegeben PIDs) schauen, was da läuft.
    Ich bin root - ich darf das.

  8. #8
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    943
    Und nach den Tips meiner Vorposter:

    Als root:
    Code:
    zypper ve && rpm --rebuilddb && zypper up
    Ansonsten:
    Poste:
    Code:
    zypper lr -d
    Benutze für die Ausgabe bitte Code-Tags.

  9. #9
    Registrierter Benutzer
    Registriert seit
    Nov 2017
    Beiträge
    6
    Das Problem scheint hartnäckig; zumindest sehe ich hier die gleiche Problematik wie über yast:

    Code:
    Passwort: *
    linux-1ekb:~ # ps -fe | grep 23519 
    root *****5456 *5414 *0 16:50 pts/0 ***00:00:00 grep --color=auto 23519 
    linux-1ekb:~ # ps -fe | grep 4500 
    root *****5462 *5414 *0 16:50 pts/0 ***00:00:00 grep --color=auto 4500 
    linux-1ekb:~ # kill -9 4500 
    -bash: kill: (4500) - No such process 
    linux-1ekb:~ # kill -9 23519 
    -bash: kill: (23519) - No such process 
    linux-1ekb:~ # zypper update 
    Loading repository data... 
    Reading installed packages... 
    
    The following 27 package updates will NOT be installed: 
    *gstreamer-plugins-bad-lang k3b k3b-lang libFLAC++6 libFLAC8 libavcodec56 libavformat56 libavutil54 
    *libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0 
    *libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 
    *libgsturidownloader-1_0-0 libgstwayland-1_0-0 libmjpegutils-2_0-0 libpostproc53 libquicktime0 libsox3 
    *libswresample1 libswscale3 mjpegtools sox 
    
    Nothing to do. 
    linux-1ekb:~ # zypper ve && rpm --rebuilddb && zypper up 
    Loading repository data... 
    Reading installed packages... 
    
    Problem: systemd-logger-228-35.1.x86_64 conflicts with namespace:otherproviders(syslog) provided by rsyslog-8.24.0-1.
    3.x86_64 
    Solution 1: deinstallation of rsyslog-8.24.0-1.3.x86_64 
    Solution 2: deinstallation of systemd-logger-228-35.1.x86_64 
    
    Choose from above solutions by number or cancel [1/2/c] (c): 1 
    Resolving dependencies... ********************************************************************************************************************************
    ****************************************************************************************************************************************************************
    The following 3 packages are going to be REMOVED: ***************************************************************************************************************
    *SuSEfirewall2 libsamba-errors0 rsyslog ************************************************************************************************************************
    
    3 packages to remove. 
    After the operation, 3.5 MiB will be freed. 
    Some of the dependencies of installed packages are broken. In order to fix these dependencies, the following actions need to be taken: 
    Continue? [y/n/...? shows all options] (y): y 
    (1/3) Removing SuSEfirewall2-3.6.312.333-4.1.noarch .....................................................................................................[error] 
    Removal of (44870)SuSEfirewall2-3.6.312.333-4.1.noarch(@System) failed: *****************************************************************************************
    Error: Subprocess failed. Error: RPM failed: error: package SuSEfirewall2-3.6.312.333-4.1.noarch is not installed ***********************************************
    ****************************************************************************************************************************************************************
    ****************************************************************************************************************************************************************
    Abort, retry, ignore? [a/r/i] (a): ^Clinux-1ekb:~ # 
    
    linux-1ekb:~ # zypper lr -d 
    Repository priorities are without effect. All enabled repositories share the same priority. 
    
    # *| Alias ****************************| Name ***************************************************| Enabled | GPG Check | Refresh | Priority | Type **| URI *****
    ***********************************************************************| Service 
    ---+-----------------------------------+---------------------------------------------------------+---------+-----------+---------+----------+--------+----------
    ------------------------------------------------------------------------+-------- 
    1 | download.opensuse.org-non-oss ****| Haupt-Repository (NON-OSS) *****************************| Yes ****| (r ) Yes *| Yes ****| **99 ****| yast2 *| http://do
    wnload.opensuse.org/distribution/leap/42.3/repo/non-oss/ ***************| ********
    2 | download.opensuse.org-non-oss_1 **| Aktualisierungs-Repository (Nicht-Open-Source-Software) | Yes ****| (r ) Yes *| Yes ****| **99 ****| rpm-md | http://do
    wnload.opensuse.org/update/leap/42.3/non-oss/ **************************| ********
    3 | download.opensuse.org-oss ********| Haupt-Repository (OSS) *********************************| Yes ****| (r ) Yes *| Yes ****| **99 ****| yast2 *| http://do
    wnload.opensuse.org/distribution/leap/42.3/repo/oss/ *******************| ********
    4 | download.opensuse.org-oss_1 ******| Hauptaktualisierungs-Repository ************************| Yes ****| (r ) Yes *| Yes ****| **99 ****| rpm-md | http://do
    wnload.opensuse.org/update/leap/42.3/oss *******************************| ********
    5 | http-ftp.uni-erlangen.de-722a1436 | Packman Repository *************************************| Yes ****| (r ) Yes *| Yes ****| **99 ****| rpm-md | http://ft
    p.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_Leap_42.3 **********| ********
    6 | http-opensuse-guide.org-2f53d0d3 *| libdvdcss repository ***********************************| Yes ****| (r ) Yes *| Yes ****| **99 ****| rpm-md | http://op
    ensuse-guide.org/repo/openSUSE_Leap_42.3/ ******************************| ********
    7 | openSUSE-Leap-42.3-0 *************| openSUSE-Leap-42.3-0 ***********************************| No *****| ---- *****| ---- ***| **99 ****| yast2 *| hd:///?de
    vice=/dev/disk/by-id/usb-Verbatim_STORE_N_GO_070B2A2DB46BFD76-0:0-part2 | ********
    8 | repo-debug ***********************| openSUSE-Leap-42.3-Debug *******************************| No *****| ---- *****| ---- ***| **99 ****| yast2 *| http://do
    wnload.opensuse.org/debug/distribution/leap/42.3/repo/oss/ *************| ********
    9 | repo-debug-non-oss ***************| openSUSE-Leap-42.3-Debug-Non-Oss ***********************| No *****| ---- *****| ---- ***| **99 ****| yast2 *| http://do
    wnload.opensuse.org/debug/distribution/leap/42.3/repo/non-oss/ *********| ********
    10 | repo-debug-update ****************| openSUSE-Leap-42.3-Update-Debug ************************| No *****| ---- *****| ---- ***| **99 ****| rpm-md | http://do
    wnload.opensuse.org/debug/update/leap/42.3/oss/ ************************| ********
    11 | repo-debug-update-non-oss ********| openSUSE-Leap-42.3-Update-Debug-Non-Oss ****************| No *****| ---- *****| ---- ***| **99 ****| rpm-md | http://do
    wnload.opensuse.org/debug/update/leap/42.3/non-oss/ ********************| ********
    12 | repo-source **********************| openSUSE-Leap-42.3-Source ******************************| No *****| ---- *****| ---- ***| **99 ****| yast2 *| http://do
    wnload.opensuse.org/source/distribution/leap/42.3/repo/oss/ ************| ********
    13 | repo-source-non-oss **************| openSUSE-Leap-42.3-Source-Non-Oss **********************| No *****| ---- *****| ---- ***| **99 ****| yast2 *| http://do
    wnload.opensuse.org/source/distribution/leap/42.3/repo/non-oss/ ********| ********
    linux-1ekb:~ #


    (ja es handelt sich um ein ein Desktop; warum hier Samba aktiviert ist, ist mir unklar)
    Geändert von willysuse (28.11.17 um 17:45 Uhr)

  10. #10
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    943
    Als root absetzen:
    Code:
    zypper in -f SuSEfirewall2-3.6.312.333-4.1
    Danach:
    Code:
    zypper up
    Oder
    Code:
    zypper rm --force-resolution rsyslog
    Geändert von Sauerland1 (28.11.17 um 18:16 Uhr)

  11. #11
    Registrierter Benutzer
    Registriert seit
    Nov 2017
    Beiträge
    6
    scheint sehr hartnäckig; vielleicht doch eine Neuistallation
    Code:
    Passwort: 
    linux-1ekb:~ # zypper in -f SuSEfirewall2-3.6.312.333-4.1
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'SuSEfirewall2-3.6.312.333-4.1.noarch' from repository 'Hauptaktualisierungs-Repository'.
    Resolving package dependencies...
    
    The following package is going to be REMOVED:
      SuSEfirewall2
    
    The following package is going to be reinstalled:
      SuSEfirewall2
    
    1 package to reinstall, 1 to remove.
    Overall download size: 72.8 KiB. Already cached: 0 B. After the operation, 288.9 KiB will be freed.
    Continue? [y/n/...? shows all options] (y): y
    Retrieving package SuSEfirewall2-3.6.312.333-4.1.noarch                                                                                  (1/1),  72.8 KiB (289.3 KiB unpacked)
    Retrieving: SuSEfirewall2-3.6.312.333-4.1.noarch.rpm ...................................................................................................................[done]
    Checking for file conflicts: ...........................................................................................................................................[done]
    (1/1) Installing: SuSEfirewall2-3.6.312.333-4.1.noarch .................................................................................................................[done]
    Additional rpm output:
    warning: /etc/sysconfig/SuSEfirewall2 created as /etc/sysconfig/SuSEfirewall2.rpmnew
    
    
    Problem occurred during or after installation or removal of packages:
    Failed to cache rpm database (1).
    Please see the above error message for a hint.
    linux-1ekb:~ # zypper up
    Loading repository data...
    Reading installed packages...
    
    The following 27 package updates will NOT be installed:
      gstreamer-plugins-bad-lang k3b k3b-lang libFLAC++6 libFLAC8 libavcodec56 libavformat56 libavutil54 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0 libgstbadbase-1_0-0 libgstbadvideo-1_0-0 libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstgl-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgsturidownloader-1_0-0 libgstwayland-1_0-0
      libmjpegutils-2_0-0 libpostproc53 libquicktime0 libsox3 libswresample1 libswscale3 mjpegtools sox
    
    Nothing to do.
    linux-1ekb:~ # zypper rm --force-resolution rsyslog
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
                                                                                                                                                                                                                                         
    The following package is going to be REMOVED:                                                                                                                                                                                      
      rsyslog                                                                                                                                                                                 
                                                                                                                                                                                   
    1 package to remove.                                                                                                                                                                                                                                                                                                                                                      
    After the operation, 1.9 MiB will be freed.                                                                                                                                                                                                                                                                                                                               
    Continue? [y/n/...? shows all options] (y): y
    (1/1) Removing rsyslog-8.24.0-1.3.x86_64 ...........................................................................................................................................................................................................................................................................................................................[done]
    Additional rpm output:                                                                                                                                                                                                                                                                                                                                                    
    Removed symlink /etc/systemd/system/multi-user.target.wants/rsyslog.service.                                                                                                                                                                                                                                                                                              
    Removed symlink /etc/systemd/system/syslog.service.                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                              
    Problem occurred during or after installation or removal of packages:                                                                                                                                                                                                                                                                                                     
    Failed to cache rpm database (1).                                                                                                                                                                                                                                                                                                                                         
    Please see the above error message for a hint.

  12. #12
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    943
    Als root:
    Code:
    rpm --rebuilddb
    War zwar oben schon mal, aber.......

  13. #13
    Registrierter Benutzer
    Registriert seit
    Nov 2017
    Beiträge
    6
    ... lesen muesste man können ... vielen Dank fuer die Hilfe; nun ist die Firewall auf dem neusten Stand. Gruesse willysuse

    PS: Die Firewall musste ich allerdings erst über YaST wieder aktivieren.

Ähnliche Themen

  1. OpenSuse LEAP 42.2: Druckertreiber wird nicht eingebunden (OKI)
    Von smartysmart34 im Forum System installieren und konfigurieren
    Antworten: 3
    Letzter Beitrag: 29.06.17, 19:51
  2. Opensuse LEAP: Kriege WLAN nicht zum laufen
    Von einherjar im Forum Anbindung an die Aussenwelt
    Antworten: 0
    Letzter Beitrag: 15.12.15, 10:50
  3. opensuse Leap läuft nicht in einer Virtual Box
    Von Dono im Forum System installieren und konfigurieren
    Antworten: 7
    Letzter Beitrag: 13.11.15, 06:19
  4. openSUSE Leap
    Von sephirot_1024 im Forum Meldungen und Mitglieder
    Antworten: 10
    Letzter Beitrag: 20.08.15, 07:54
  5. softwareaktualisierung klapp nicht mehr.
    Von FunFox im Forum System installieren und konfigurieren
    Antworten: 17
    Letzter Beitrag: 14.11.06, 12:44

Stichworte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •